Subject: Resolving geo discussions

From: Iljitsch van Beijnum <[email-masked]>
Date: Fri, 11 Apr 2003 18:28:06 +0200

Last week we had another round of "this can't work" / "yes it can" 
discussions about geographic aggregation. While doing this from time to 
time is a lot of fun, I'm sure we can all find more productive things 
to do with our time.

So how do we resolve this in a way that is satisfactory to everyone?

The way I see it, many of the "con" arguments may turn out to be quite 
valid. However, there are also many ways in which geo aggregation could 
be successful. Maybe it will solve the multihoming scaling problem for 
10, 5 or just 2 years. Or it just helps regional networks to optimize 
their routing. I don't think there is any way to determine this 
beforehand.

But it should be possible to adequately predict the costs and risks in 
advance. The costs for the internet community as a whole mostly consist 
of the RIRs having to implement tools to make it possible to assign 
geographically aggregatable PI addresses to multihomers.

The only risk that I can see is that the GAPI addresses will in essence 
turn out to be nothing more than regular PI addresses. This means an 
explosion of the global routing table, and subsequently at some point 
networks will start to filter out GAPI more specifics.

Is there a way we can arrive on some consensus as to whether the 
(potential) downsides are worth the potential gain?

We could experiment with this for a set amount of time in 6bone space, 
for instance.

---

From: "Bound, Jim" <[email-masked]>
Date: Sat, 19 Apr 2003 12:50:20 -0400

Agree with your response.  The reason I suggested the routing topic
below (and yes it is dependent on location and identifier) was that who
presents the loc+ID slides feed those to who would present the route
topic and then the route topic would present say multiple views to work
with the loc+ID part even if it is just strawman for WG thought.  This
permits some of what Tony requested for brainstorm and it can be
presented that way and then people come to the microphone and talk about
what they think.

But as randy stated we don't have white boards or the setting for true
brainstorm roll up your sleeves and produce an architecture idea set.  I
think that would be hard in a 2.5 hour meeting (if we can justify to AD)
at an IETF setting.

Hmmmmmmmm that being said in the old days I recall room where we had
tables and flip charts etc. but that was before 200 people showed up for
a meeting (I have been in meetings like that with Tony, Randy,
Christian, and others here years back and they were very good productive
sessions [with some hate and swearing at times :--)]. 

Folks can let me know about New Hampshire for Sept I would probably need
to begin lobbying to host say by beginning of August so you folks could
decide in Vienna as I am highly confident I cannot make this meeting
[only second meeting I have missed since 1993 and that was because I had
an emergency operation on my stomach and they cut me up pretty bad so I
could not fly to Norway as best I recall and I used up one of my lives
on that one too).  But if we decided by June that would be even better
because then I could start poking the system before I leave on my
adventure :--)

Why am I talking to you folks its 65 degrees here in New England talk
with you Monday :--) And it was a horrible winter.

Thanks
/jim

> -----Original Message-----
> From: Kurt Erik Lindqvist [mailto:[email-masked]] 
> Sent: Saturday, April 19, 2003 5:41 AM
> To: Bound, Jim
> Cc: Randy Bush; Tony Li; [email-masked]
> Subject: Re: Resolving geo discussions
> 
> 
> > That is a very fair question. If we cannot do that we 
> should not use 
> > up IETF finances for brainstorming with no agenda.  Times 
> are not good 
> > the IETF must use their resources wisely for sure.
> 
> Valid point.
> 
> > If we build content and agenda and force some agreement and 
> compromise 
> > we may be able to move forward.
> 
> Actually, I tend to have a somewhat different opinion than Randy. I 
> agree that we need a solid agenda, but I also think that we need a 
> meeting to get people more engaged and meeting face to face 
> also always 
> helps.
> 
> > Suggestion:
> >
> > Work on content and agenda so we can have meeting.  Realize 
> folks will 
> > show up who are not here too and so that will, as always, 
> be variable 
> > to the processes so the chairs have to try to focus the meeting.  I 
> > know this is normal but wanted to state it.
> 
> It's a good point. Even if only people in here showed up :-)
> 
> >
> > Agenda:
> >
> > Requirements state - Chairs
> 
> Well, I think we have concluded that requirements vary. We 
> have more of 
> a benchmark document, that we hopefully have published by 
> then. I think 
> that is as good starting point as we gets. Right?
> 
> > Location and Identification Architecture (can we agree on some base 
> > principles before the IETF and then present them at IETF) - ???
> 
> This would be good.
> 
> > Routing Problem and Complexity and where the fix has to be 
> (same if we 
> > can agree on base that would be useful to IETF attendees) - ????
> 
> Do you really think that this is worth it? This will depend on the 
> outcome of your first point.
> 
> >
> > Existing work that has input to the above loc/id and route 
> complexity
> > issues:
> >
> > 1) MAP (michel) (send in IDs)
> > 2) Mobile IPv6 idea (christian) (send in IDs)
> > 3) HIP (pekka N.) (send in IDs)
> 
> Having these suggestions presented (with associated IDs) might give 
> some picture of the problems of each type of solution.
> 
> > NOTE - Not sure if we agree to put out base GEO doc stuff but that 
> > INFO/BCP could be agenda item too but I did not see 
> consensus on the 
> > mail list from my view ????
> 
> Agreed.
> 
> > Post IETF - I can look into hosting mutli6 offline whatever 
> meeting in 
> > New Hampshire late September before fall IETF meeting for 
> brainstorm 
> > part II as we need to do what Tony stated before that and 
> this can be 
> > part II.  Times are tough for vendors but I will go ask for 
> support of 
> > an offsite if folks want.  Good to schedule so folks can check out 
> > fall colors up here too if possible :---)  Given that I am 
> alive and 
> > well after my Harley adventure and come back to the system :---)
> >
> 
> I have been playing with this idea as well. Let's keep this 
> option open 
> for a while and see where we end up. If this is to be useful we need 
> something with a lot more substance than what we have now.
> 
> - kurtis -
> 
> 
>